GNU bug report logs - #48989
[PATCH] gnu: Add ddcui.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Brice Waegeneire <brice@HIDDEN>; Keywords: patch; Done: Brice Waegeneire <brice@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 48989-done <at> debbugs.gnu.org:


Received: (at 48989-done) by debbugs.gnu.org; 3 Jul 2021 15:59:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 03 11:59:23 2021
Received: from localhost ([127.0.0.1]:39707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lzi38-0002on-Re
	for submit <at> debbugs.gnu.org; Sat, 03 Jul 2021 11:59:23 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:39829)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1lzi36-0002oZ-IK
 for 48989-done <at> debbugs.gnu.org; Sat, 03 Jul 2021 11:59:21 -0400
Received: (Authenticated sender: brice@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 0525F1C0006;
 Sat,  3 Jul 2021 15:59:13 +0000 (UTC)
From: Brice Waegeneire <brice@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#48989: [PATCH] gnu: Add ddcui.
References: <87v969vuux.fsf@HIDDEN> <87h7hg8uvi.fsf@HIDDEN>
Date: Sat, 03 Jul 2021 17:59:10 +0200
In-Reply-To: <87h7hg8uvi.fsf@HIDDEN> (Mathieu Othacehe's message of "Tue, 29
 Jun 2021 19:04:49 +0200")
Message-ID: <87h7hbxub5.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48989-done
Cc: 48989-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Mathieu Othacehe <othacehe@HIDDEN> writes:

> Same here, feel free to proceed!

Thanks, pushed as 9c1720591caf8fafa8e4336a291b9b47c2ddc7e2.




Notification sent to Brice Waegeneire <brice@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Brice Waegeneire <brice@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 48989 <at> debbugs.gnu.org:


Received: (at 48989) by debbugs.gnu.org; 29 Jun 2021 17:04:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 29 13:04:57 2021
Received: from localhost ([127.0.0.1]:55220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lyHAP-0002T8-Hb
	for submit <at> debbugs.gnu.org; Tue, 29 Jun 2021 13:04:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1lyHAO-0002Sk-Co
 for 48989 <at> debbugs.gnu.org; Tue, 29 Jun 2021 13:04:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35536)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1lyHAJ-000380-29; Tue, 29 Jun 2021 13:04:51 -0400
Received: from [2a01:e0a:19b:d9a0:f2f7:a404:c3d3:f8b4] (port=51594 helo=meije)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1lyHAI-0000lg-QY; Tue, 29 Jun 2021 13:04:51 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Brice Waegeneire <brice@HIDDEN>
Subject: Re: [PATCH v2] gnu: Add ddcui.
References: <87v969vuux.fsf@HIDDEN>
Date: Tue, 29 Jun 2021 19:04:49 +0200
In-Reply-To: <87v969vuux.fsf@HIDDEN> (Brice Waegeneire's message of "Sun, 
 20 Jun 2021 09:49:26 +0200")
Message-ID: <87h7hg8uvi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48989
Cc: 48989 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey,

> In master, qtbase was updated to version 6, so I replaced 'qtbase' input
> with 'qtbase-5'.  It build correctly again on my side.

Same here, feel free to proceed!

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#48989; Package guix-patches. Full text available.

Message received at 48989 <at> debbugs.gnu.org:


Received: (at 48989) by debbugs.gnu.org; 20 Jun 2021 07:49:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 20 03:49:41 2021
Received: from localhost ([127.0.0.1]:32967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lusD7-0005kf-8s
	for submit <at> debbugs.gnu.org; Sun, 20 Jun 2021 03:49:41 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:56741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1lusD5-0005kR-1W
 for 48989 <at> debbugs.gnu.org; Sun, 20 Jun 2021 03:49:39 -0400
Received: (Authenticated sender: brice@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id DE48F1BF204;
 Sun, 20 Jun 2021 07:49:32 +0000 (UTC)
From: Brice Waegeneire <brice@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: [PATCH v2] gnu: Add ddcui.
Date: Sun, 20 Jun 2021 09:49:26 +0200
Message-ID: <87v969vuux.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48989
Cc: 48989 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/hardware.scm (ddcui): New variable.
---
 gnu/packages/hardware.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

In master, qtbase was updated to version 6, so I replaced 'qtbase' input
with 'qtbase-5'.  It build correctly again on my side.

diff --git a/gnu/packages/hardware.scm b/gnu/packages/hardware.scm
index ecbcca79b1..f0a72e8752 100644
--- a/gnu/packages/hardware.scm
+++ b/gnu/packages/hardware.scm
@@ -43,11 +43,13 @@
   #:use-module (gnu packages polkit)
   #:use-module (gnu packages protobuf)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages qt)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages web)
   #:use-module (gnu packages xdisorg)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg)
+  #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (guix download)
   #:use-module (guix git-download)
@@ -100,6 +102,36 @@ calibrated, and restored when the calibration is applied.")
     (license (list license:bsd-3        ; FindDDCUtil.cmake
                    license:gpl2+))))    ; everything else

+(define-public ddcui
+  (package
+    (name "ddcui")
+    (version "0.1.2")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/rockowitz/ddcui")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0myma1zw6dlygv3xbin662d91zcnwss10syf12q2fppkrd8qdgqf"))))
+    (build-system cmake-build-system)
+    (arguments
+     '(#:tests? #f))                    ; No test suite
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("qttools" ,qttools)))
+    (inputs
+     `(("ddcutil" ,ddcutil)
+       ("glib" ,glib)
+       ("qtbase" ,qtbase-5)))
+    (home-page "https://www.ddcutil.com/")
+    (synopsis "Graphical user interface for ddcutil")
+    (description "ddcui is a graphical user interface for ddcutil, implemented
+using Qt.  It provide a dynamic way to inspect and configure external monitors
+through the Display Data Channel Command Interface (@dfn{DDC/CI}) protocol.")
+    (license (list license:gpl2+))))
+
 (define-public edid-decode
   (let ((commit "74b64180d67bb009d8d9ea1b6f18ad41aaa16396") ; 2020-04-22
         (revision "1"))
--
2.31.1




Information forwarded to guix-patches@HIDDEN:
bug#48989; Package guix-patches. Full text available.

Message received at 48989 <at> debbugs.gnu.org:


Received: (at 48989) by debbugs.gnu.org; 18 Jun 2021 12:29:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 18 08:29:55 2021
Received: from localhost ([127.0.0.1]:55999 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1luDdC-0002yv-PD
	for submit <at> debbugs.gnu.org; Fri, 18 Jun 2021 08:29:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57516)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1luDdB-0002yi-KZ
 for 48989 <at> debbugs.gnu.org; Fri, 18 Jun 2021 08:29:53 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45528)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1luDd4-0002BO-VZ; Fri, 18 Jun 2021 08:29:46 -0400
Received: from [2a01:e0a:19b:d9a0:f2f7:a404:c3d3:f8b4] (port=37868 helo=meije)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1luDd4-0004WH-1x; Fri, 18 Jun 2021 08:29:46 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Brice Waegeneire <brice@HIDDEN>
Subject: Re: bug#48989: [PATCH] gnu: Add ddcui.
References: <20210612221606.16297-1-brice@HIDDEN>
Date: Fri, 18 Jun 2021 14:29:44 +0200
In-Reply-To: <20210612221606.16297-1-brice@HIDDEN> (Brice Waegeneire's
 message of "Sun, 13 Jun 2021 00:16:06 +0200")
Message-ID: <87sg1fbbk7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48989
Cc: 48989 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello Brice,

> * gnu/packages/hardware.scm (ddcui): New variable.

Building this package fails with the following error on my machine:

--8<---------------cut here---------------start------------->8---
CMake Error at CMakeLists.txt:45 (find_package):
  By not providing "FindQt5.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "Qt5", but
  CMake did not find one.

  Could not find a package configuration file provided by "Qt5" with any of
  the following names:

    Qt5Config.cmake
    qt5-config.cmake

  Add the installation prefix of "Qt5" to CMAKE_PREFIX_PATH or set "Qt5_DIR"
  to a directory containing one of the above files.  If "Qt5" provides a
  separate development package or SDK, be sure it has been installed.


-- Configuring incomplete, errors occurred!
See also "/tmp/guix-build-ddcui-0.1.2.drv-0/build/CMakeFiles/CMakeOutput.log".
command "cmake" "../source" "-DCMAKE_BUILD_TYPE=RelWithDebInfo" "-DCMAKE_INSTALL_PREFIX=/gnu/store/jfrs3l9lwyaznml9kqzcnpy64gabyad9-ddcui-0.1.2" "-DCMAKE_INSTALL_LIBDIR=lib" "-DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE" "-DCMAKE_INSTALL_RPATH=/gnu/store/jfrs3l9lwyaznml9kqzcnpy64gabya1
builder for `/gnu/store/i4raw95kpbvdarj48f1iirq0yk0m35gr-ddcui-0.1.2.drv' failed with exit code 1
build of /gnu/store/i4raw95kpbvdarj48f1iirq0yk0m35gr-ddcui-0.1.2.drv failed
View build log at '/var/log/guix/drvs/i4/raw95kpbvdarj48f1iirq0yk0m35gr-ddcui-0.1.2.drv.bz2'.
guix build: error: build of `/gnu/store/i4raw95kpbvdarj48f1iirq0yk0m35gr-ddcui-0.1.2.drv' failed
--8<---------------cut here---------------end--------------->8---

Any idea why?

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#48989; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jun 2021 22:16:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 12 18:16:21 2021
Received: from localhost ([127.0.0.1]:42316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lsBvQ-0001K9-WA
	for submit <at> debbugs.gnu.org; Sat, 12 Jun 2021 18:16:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:35080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1lsBvP-0001K2-V2
 for submit <at> debbugs.gnu.org; Sat, 12 Jun 2021 18:16:20 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39372)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brice@HIDDEN>) id 1lsBvP-0003Zy-PP
 for guix-patches@HIDDEN; Sat, 12 Jun 2021 18:16:19 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:49031)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brice@HIDDEN>) id 1lsBvN-00026g-LZ
 for guix-patches@HIDDEN; Sat, 12 Jun 2021 18:16:19 -0400
Received: (Authenticated sender: brice@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 84145C0005
 for <guix-patches@HIDDEN>; Sat, 12 Jun 2021 22:16:14 +0000 (UTC)
From: Brice Waegeneire <brice@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add ddcui.
Date: Sun, 13 Jun 2021 00:16:06 +0200
Message-Id: <20210612221606.16297-1-brice@HIDDEN>
X-Mailer: git-send-email 2.31.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=217.70.183.198; envelope-from=brice@HIDDEN;
 helo=relay6-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

* gnu/packages/hardware.scm (ddcui): New variable.
---
 gnu/packages/hardware.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/hardware.scm b/gnu/packages/hardware.scm
index ecbcca79b1..54370c928e 100644
--- a/gnu/packages/hardware.scm
+++ b/gnu/packages/hardware.scm
@@ -43,11 +43,13 @@
   #:use-module (gnu packages polkit)
   #:use-module (gnu packages protobuf)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages qt)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages web)
   #:use-module (gnu packages xdisorg)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg)
+  #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (guix download)
   #:use-module (guix git-download)
@@ -100,6 +102,36 @@ calibrated, and restored when the calibration is applied.")
     (license (list license:bsd-3        ; FindDDCUtil.cmake
                    license:gpl2+))))    ; everything else
 
+(define-public ddcui
+  (package
+    (name "ddcui")
+    (version "0.1.2")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/rockowitz/ddcui")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0myma1zw6dlygv3xbin662d91zcnwss10syf12q2fppkrd8qdgqf"))))
+    (build-system cmake-build-system)
+    (arguments
+     '(#:tests? #f))                    ; No test suite
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("qttools" ,qttools)))
+    (inputs
+     `(("ddcutil" ,ddcutil)
+       ("glib" ,glib)
+       ("qtbase" ,qtbase)))
+    (home-page "https://www.ddcutil.com/")
+    (synopsis "Graphical user interface for ddcutil")
+    (description "ddcui is a graphical user interface for ddcutil, implemented
+using Qt.  It provide a dynamic way to inspect and configure external monitors
+through the Display Data Channel Command Interface (@dfn{DDC/CI}) protocol.")
+    (license (list license:gpl2+))))
+
 (define-public edid-decode
   (let ((commit "74b64180d67bb009d8d9ea1b6f18ad41aaa16396") ; 2020-04-22
         (revision "1"))
-- 
2.31.1





Acknowledgement sent to Brice Waegeneire <brice@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#48989; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 3 Jul 2021 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.